
<div class="afs-image-service-instructions" style="padding-bottom: 8px;">
    <p>
        Select an existing image service for your object that you can use to draw the locations of your observations.
        Or upload image(s) to create a new service.
    </p>

    <!-- ko foreach: [...environmentDigitalReferencePreferredManifestResourceData(), ...environmentDigitalReferenceAlternateManifestResourceData()] -->
        <div
            style="display: flex;"
        >
            <input 
                style="
                    cursor: pointer;
                    margin-right: 5px;
                "
                type="radio" 
                data-bind="{
                    value: $data.displayname,
                    checked: $parent.selectedEnvironmentImageServiceName,
                    disable: $parent.locked
                }"
            />
            <label 
                style="cursor: pointer;"
                data-bind="
                    text: $data.displayname,
                    click: function() { $parent.selectedEnvironmentImageServiceName($data.displayname) }
                "
            ></label>
        </div>
    <!-- /ko -->
</div>

<button class="btn btn-success" style="margin-left: 28px;" data-bind="click: openManifestManager, disable: $parent.locked">
    <i class="ion-android-cloud-done"></i>
    <span>
        Create new Image Service
    </span>
</button>

<div class="afs-workflow-manifest-manager-container"
    style="
        position: fixed;
        top: 50px;
        left: 50px;
        height: calc(100vh - 50px);
        width: calc(100vw - 50px);
        transition: all linear .3s;
        z-index: 1;
    "
    data-bind="
        style: {
            transform: !isManifestManagerHidden() ? 'translate(0,0)' : 'translate(100vw,0)'
        },
        component: {
            name: 'manifest-manager',
            params: {
                summary: true,
                shouldShowEditService: $data.shouldShowEditService,
                manifestData: manifestData,
                renderContext: 'manifest-workflow'
            }
        }
    "
></div>

<button
    class="btn btn-warning"
    style="
        position: fixed;
        top: 4px;
        left: calc(100vw - 450px);
        height: 42px;
        width: 180px;
        transition: all linear .3s;
    "
    data-bind="
        style: {
            transform: !isManifestManagerHidden() ? 'translate(0,0)' : 'translate(0,-100vh)'
        },
        click: handleExitFromManifestManager
    "
>Return to Workflow</button>